Subject: Re: [PATCHv2 net-next 2/3] bonding: restructure ad_churn_machine

From: Jakub Kicinski <[email-masked]>
Date: Mon, 19 Jan 2026 12:22:03 -0800

On Wed, 14 Jan 2026 06:49:20 +0000 Hangbin Liu wrote:
> The current ad_churn_machine implementation only transitions the
> actor/partner churn state to churned or none after the churn timer expires.
> However, IEEE 802.1AX-2014 specifies that a port should enter the none
> state immediately once the actor’s port state enters synchronization.

Paolo, how do you feel about his patch with 2+ weeks until final?
The first patch is definitely suitable for net. If this one is not
it should not have a Fixes tag. I'd lean towards getting them all
into -rc7 if we can.

BTW please make sure to CC Nik (based on the Fixes tag I think).
Always run get_maintainers on the patches.
-- 
pw-bot: cr